Bug 466901 - gdb aborts printing stack trace
gdb aborts printing stack trace
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: gdb (Show other bugs)
9
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jan Kratochvil
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-10-14 08:49 EDT by Michal Babej
Modified: 2013-07-31 19:12 EDT (History)
3 users (show)

See Also:
Fixed In Version: gdb-6.8-27.fc10
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-11-06 17:20:12 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Fix. (686 bytes, patch)
2008-10-14 08:51 EDT, Jan Kratochvil
no flags Details | Diff
Recovery from similiar errors. (2.81 KB, patch)
2008-10-14 08:51 EDT, Jan Kratochvil
no flags Details | Diff

  None (edit)
Description Michal Babej 2008-10-14 08:49:54 EDT
Description of problem:
"bt" lists 9 calls, while "bt full" stops after printing 2nd call.

(gdb) bt
#0  0x0000003266e30215 in raise (sig=<value optimized out>) at ../nptl/sysdeps/unix/sysv/linux/raise.c:64
#1  0x0000003266e31cc0 in abort () at abort.c:88
#2  0x0000003266e6a7fb in __libc_message (do_abort=<value optimized out>, fmt=<value optimized out>) at ../sysdeps/unix/sysv/linux/libc_fatal.c:170
#3  0x0000003266e71ce2 in _int_free (av=<value optimized out>, mem=<value optimized out>) at malloc.c:5902
#4  0x0000003266e7590c in __libc_free (mem=<value optimized out>) at malloc.c:3591
#5  0x000000000040a23d in sys_getdents (tcp=0x41121e0) at file.c:2454
#6  0x0000000000405000 in trace_syscall (tcp=0x41121e0) at syscall.c:2332
#7  0x000000000040354c in trace () at strace.c:2475
#8  0x0000000000404371 in main (argc=3, argv=0x7fff978f3f28) at strace.c:879

(gdb) bt full
#0  0x0000003266e30215 in raise (sig=<value optimized out>) at ../nptl/sysdeps/unix/sysv/linux/raise.c:64
        pid = <value optimized out>
        selftid = <value optimized out>
#1  0x0000003266e31cc0 in abort () at abort.c:88
        act = Could not find the frame base for "abort".
Comment 1 Jan Kratochvil 2008-10-14 08:51:20 EDT
Created attachment 320291 [details]
Fix.

Missing a testcase.
Comment 2 Jan Kratochvil 2008-10-14 08:51:56 EDT
Created attachment 320292 [details]
Recovery from similiar errors.

Missing a testcase.
Comment 3 Jan Kratochvil 2008-11-06 17:20:12 EST
Committed to Rawhide:
* Thu Nov  6 2008 Jan Kratochvil <jan.kratochvil@redhat.com> - 6.8-27
- Fix resolving of variables at locations lists in prelinked libs (BZ 466901),
  bugreported by Michal Babej.
- Never terminate `bt full' on a problem of variable resolving (for BZ 466901).

Testcase provided only for the first patch.

Note You need to log in before you can comment on or make changes to this bug.